# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 0.4.1 - 2019-12-01
### Changed
- Removed unused dependencies

## 0.4.0 - 2019-12-01
### Changed
- Removed dependence on Auth0 M2M tokens

## 0.3.8
### Changed
- More resiliant cache file permission handling

## 0.3.7
### Changed
- Fixed content-type handling

## 0.3.6
### Changed
- Better error handling
- Tidier and more comprehensive unit tests

## 0.3.5
### Changed
- Set better cache file permissions

## 0.3.4 - 2019-06-12
### Changed
- Added optional token caching

## 0.3.3 - 2019-06-03
### Changed
- Added get_selected_config helper method

## 0.3.2 - 2019-02-27
### Changed
- Added bundler-audit to CI/CD pipeline

## 0.3.1 - 2019-02-27
### Changed
- Fixed a failing unit test

## 0.3.0 - 2019-02-27
### Added
- Added the ConfigServerAgent#set_config method

## 0.2.0 - 2019-02-11
### Changed
- Changed the the get_config method from POST to GET
- Implemented the notify_missing method
- Added auth token caching with TTL

## 0.1.1 - 2019-02-06
### Added
- Changed the default User-Agent string from 'Ruby' to 'ConfigServerAgent/0.1.x'
- Added user_agent & user_agent_comment parameters to the constructor, which allows
  a user to fully or partially configure the User-Agent string.

## 0.1.0 - 2018-12-06
### Added
- Initial commit
